// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package order_web

import (
	context "context"
	order "gitlab.com/fcpartners/apis/gen/order/v1/order"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// FastDealServiceClient is the client API for FastDealService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type FastDealServiceClient interface {
	ListFastDealProcess(ctx context.Context, in *order.ListFastDealProcessRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListFastDealProcessType(ctx context.Context, in *order.ListFastDealProcessTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListFastDealProductGroup(ctx context.Context, in *order.ListFastDealProductGroupRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListFastDealBrand(ctx context.Context, in *order.ListFastDealBrandRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListFastDealProduct(ctx context.Context, in *order.ListFastDealProductRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListFastDealDeliveryCondition(ctx context.Context, in *order.ListFastDealDeliveryConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListFastDealPaymentCondition(ctx context.Context, in *order.ListFastDealPaymentConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListFastDealLogisticsOperator(ctx context.Context, in *order.ListFastDealLogisticsOperatorRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListFastDealState(ctx context.Context, in *order.ListFastDealStateRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListFastDealCity(ctx context.Context, in *order.ListFastDealCityRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListFastDealNames(ctx context.Context, in *order.ListFastDealNamesRequest, opts ...grpc.CallOption) (*order.ListFastDealNamesResponse, error)
	GetFastDeal(ctx context.Context, in *order.GetFastDealRequest, opts ...grpc.CallOption) (*order.GetFastDealResponse, error)
	ListFastDeal(ctx context.Context, in *order.ListFastDealRequest, opts ...grpc.CallOption) (*order.ListFastDealResponse, error)
	ListFastDealItemAgent(ctx context.Context, in *order.ListFastDealItemAgentRequest, opts ...grpc.CallOption) (*order.ListFastDealItemAgentResponse, error)
	// Deprecated: Do not use.
	RejectFastDeal(ctx context.Context, in *order.RejectFastDealRequest, opts ...grpc.CallOption) (*order.RejectFastDealResponse, error)
	// Deprecated: Do not use.
	ApproveFastDeal(ctx context.Context, in *order.ApproveFastDealRequest, opts ...grpc.CallOption) (*order.ApproveFastDealResponse, error)
	DoneFastDeal(ctx context.Context, in *order.DoneFastDealRequest, opts ...grpc.CallOption) (*order.DoneFastDealResponse, error)
	UpdateStatusFastDealItem(ctx context.Context, in *order.UpdateFastDealItemStatusRequest, opts ...grpc.CallOption) (*order.UpdateFastDealItemStatusResponse, error)
	GetFastDealFile(ctx context.Context, in *order.GetFastDealFileRequest, opts ...grpc.CallOption) (*order.GetFastDealFileResponse, error)
	ListFastDealFile(ctx context.Context, in *order.ListFastDealFileRequest, opts ...grpc.CallOption) (*order.ListFastDealFileResponse, error)
	AddFastDealFile(ctx context.Context, in *order.AddFastDealFileRequest, opts ...grpc.CallOption) (*order.AddFastDealFileResponse, error)
	DeleteFastDealFile(ctx context.Context, in *order.DeleteFastDealFileRequest, opts ...grpc.CallOption) (*order.DeleteFastDealFileResponse, error)
}

type fastDealServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewFastDealServiceClient(cc grpc.ClientConnInterface) FastDealServiceClient {
	return &fastDealServiceClient{cc}
}

func (c *fastDealServiceClient) ListFastDealProcess(ctx context.Context, in *order.ListFastDealProcessRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/ListFastDealProcess", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealProcessType(ctx context.Context, in *order.ListFastDealProcessTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/ListFastDealProcessType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealProductGroup(ctx context.Context, in *order.ListFastDealProductGroupRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/ListFastDealProductGroup", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealBrand(ctx context.Context, in *order.ListFastDealBrandRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/ListFastDealBrand", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealProduct(ctx context.Context, in *order.ListFastDealProductRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/ListFastDealProduct", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealDeliveryCondition(ctx context.Context, in *order.ListFastDealDeliveryConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/ListFastDealDeliveryCondition", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealPaymentCondition(ctx context.Context, in *order.ListFastDealPaymentConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/ListFastDealPaymentCondition", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealLogisticsOperator(ctx context.Context, in *order.ListFastDealLogisticsOperatorRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/ListFastDealLogisticsOperator", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealState(ctx context.Context, in *order.ListFastDealStateRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/ListFastDealState", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealCity(ctx context.Context, in *order.ListFastDealCityRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/ListFastDealCity", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealNames(ctx context.Context, in *order.ListFastDealNamesRequest, opts ...grpc.CallOption) (*order.ListFastDealNamesResponse, error) {
	out := new(order.ListFastDealNamesResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/ListFastDealNames", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) GetFastDeal(ctx context.Context, in *order.GetFastDealRequest, opts ...grpc.CallOption) (*order.GetFastDealResponse, error) {
	out := new(order.GetFastDealResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/GetFastDeal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDeal(ctx context.Context, in *order.ListFastDealRequest, opts ...grpc.CallOption) (*order.ListFastDealResponse, error) {
	out := new(order.ListFastDealResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/ListFastDeal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealItemAgent(ctx context.Context, in *order.ListFastDealItemAgentRequest, opts ...grpc.CallOption) (*order.ListFastDealItemAgentResponse, error) {
	out := new(order.ListFastDealItemAgentResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/ListFastDealItemAgent", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Deprecated: Do not use.
func (c *fastDealServiceClient) RejectFastDeal(ctx context.Context, in *order.RejectFastDealRequest, opts ...grpc.CallOption) (*order.RejectFastDealResponse, error) {
	out := new(order.RejectFastDealResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/RejectFastDeal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Deprecated: Do not use.
func (c *fastDealServiceClient) ApproveFastDeal(ctx context.Context, in *order.ApproveFastDealRequest, opts ...grpc.CallOption) (*order.ApproveFastDealResponse, error) {
	out := new(order.ApproveFastDealResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/ApproveFastDeal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) DoneFastDeal(ctx context.Context, in *order.DoneFastDealRequest, opts ...grpc.CallOption) (*order.DoneFastDealResponse, error) {
	out := new(order.DoneFastDealResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/DoneFastDeal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) UpdateStatusFastDealItem(ctx context.Context, in *order.UpdateFastDealItemStatusRequest, opts ...grpc.CallOption) (*order.UpdateFastDealItemStatusResponse, error) {
	out := new(order.UpdateFastDealItemStatusResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/UpdateStatusFastDealItem", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) GetFastDealFile(ctx context.Context, in *order.GetFastDealFileRequest, opts ...grpc.CallOption) (*order.GetFastDealFileResponse, error) {
	out := new(order.GetFastDealFileResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/GetFastDealFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealFile(ctx context.Context, in *order.ListFastDealFileRequest, opts ...grpc.CallOption) (*order.ListFastDealFileResponse, error) {
	out := new(order.ListFastDealFileResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/ListFastDealFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) AddFastDealFile(ctx context.Context, in *order.AddFastDealFileRequest, opts ...grpc.CallOption) (*order.AddFastDealFileResponse, error) {
	out := new(order.AddFastDealFileResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/AddFastDealFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) DeleteFastDealFile(ctx context.Context, in *order.DeleteFastDealFileRequest, opts ...grpc.CallOption) (*order.DeleteFastDealFileResponse, error) {
	out := new(order.DeleteFastDealFileResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.FastDealService/DeleteFastDealFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// FastDealServiceServer is the server API for FastDealService service.
// All implementations must embed UnimplementedFastDealServiceServer
// for forward compatibility
type FastDealServiceServer interface {
	ListFastDealProcess(context.Context, *order.ListFastDealProcessRequest) (*order.DictResponse, error)
	ListFastDealProcessType(context.Context, *order.ListFastDealProcessTypeRequest) (*order.DictResponse, error)
	ListFastDealProductGroup(context.Context, *order.ListFastDealProductGroupRequest) (*order.DictResponse, error)
	ListFastDealBrand(context.Context, *order.ListFastDealBrandRequest) (*order.DictResponse, error)
	ListFastDealProduct(context.Context, *order.ListFastDealProductRequest) (*order.DictResponse, error)
	ListFastDealDeliveryCondition(context.Context, *order.ListFastDealDeliveryConditionRequest) (*order.DictResponse, error)
	ListFastDealPaymentCondition(context.Context, *order.ListFastDealPaymentConditionRequest) (*order.DictResponse, error)
	ListFastDealLogisticsOperator(context.Context, *order.ListFastDealLogisticsOperatorRequest) (*order.DictResponse, error)
	ListFastDealState(context.Context, *order.ListFastDealStateRequest) (*order.DictResponse, error)
	ListFastDealCity(context.Context, *order.ListFastDealCityRequest) (*order.DictResponse, error)
	ListFastDealNames(context.Context, *order.ListFastDealNamesRequest) (*order.ListFastDealNamesResponse, error)
	GetFastDeal(context.Context, *order.GetFastDealRequest) (*order.GetFastDealResponse, error)
	ListFastDeal(context.Context, *order.ListFastDealRequest) (*order.ListFastDealResponse, error)
	ListFastDealItemAgent(context.Context, *order.ListFastDealItemAgentRequest) (*order.ListFastDealItemAgentResponse, error)
	// Deprecated: Do not use.
	RejectFastDeal(context.Context, *order.RejectFastDealRequest) (*order.RejectFastDealResponse, error)
	// Deprecated: Do not use.
	ApproveFastDeal(context.Context, *order.ApproveFastDealRequest) (*order.ApproveFastDealResponse, error)
	DoneFastDeal(context.Context, *order.DoneFastDealRequest) (*order.DoneFastDealResponse, error)
	UpdateStatusFastDealItem(context.Context, *order.UpdateFastDealItemStatusRequest) (*order.UpdateFastDealItemStatusResponse, error)
	GetFastDealFile(context.Context, *order.GetFastDealFileRequest) (*order.GetFastDealFileResponse, error)
	ListFastDealFile(context.Context, *order.ListFastDealFileRequest) (*order.ListFastDealFileResponse, error)
	AddFastDealFile(context.Context, *order.AddFastDealFileRequest) (*order.AddFastDealFileResponse, error)
	DeleteFastDealFile(context.Context, *order.DeleteFastDealFileRequest) (*order.DeleteFastDealFileResponse, error)
	mustEmbedUnimplementedFastDealServiceServer()
}

// UnimplementedFastDealServiceServer must be embedded to have forward compatible implementations.
type UnimplementedFastDealServiceServer struct {
}

func (UnimplementedFastDealServiceServer) ListFastDealProcess(context.Context, *order.ListFastDealProcessRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealProcess not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealProcessType(context.Context, *order.ListFastDealProcessTypeRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealProcessType not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealProductGroup(context.Context, *order.ListFastDealProductGroupRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealProductGroup not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealBrand(context.Context, *order.ListFastDealBrandRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealBrand not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealProduct(context.Context, *order.ListFastDealProductRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealProduct not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealDeliveryCondition(context.Context, *order.ListFastDealDeliveryConditionRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealDeliveryCondition not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealPaymentCondition(context.Context, *order.ListFastDealPaymentConditionRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealPaymentCondition not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealLogisticsOperator(context.Context, *order.ListFastDealLogisticsOperatorRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealLogisticsOperator not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealState(context.Context, *order.ListFastDealStateRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealState not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealCity(context.Context, *order.ListFastDealCityRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealCity not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealNames(context.Context, *order.ListFastDealNamesRequest) (*order.ListFastDealNamesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealNames not implemented")
}
func (UnimplementedFastDealServiceServer) GetFastDeal(context.Context, *order.GetFastDealRequest) (*order.GetFastDealResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetFastDeal not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDeal(context.Context, *order.ListFastDealRequest) (*order.ListFastDealResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDeal not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealItemAgent(context.Context, *order.ListFastDealItemAgentRequest) (*order.ListFastDealItemAgentResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealItemAgent not implemented")
}
func (UnimplementedFastDealServiceServer) RejectFastDeal(context.Context, *order.RejectFastDealRequest) (*order.RejectFastDealResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RejectFastDeal not implemented")
}
func (UnimplementedFastDealServiceServer) ApproveFastDeal(context.Context, *order.ApproveFastDealRequest) (*order.ApproveFastDealResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ApproveFastDeal not implemented")
}
func (UnimplementedFastDealServiceServer) DoneFastDeal(context.Context, *order.DoneFastDealRequest) (*order.DoneFastDealResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DoneFastDeal not implemented")
}
func (UnimplementedFastDealServiceServer) UpdateStatusFastDealItem(context.Context, *order.UpdateFastDealItemStatusRequest) (*order.UpdateFastDealItemStatusResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateStatusFastDealItem not implemented")
}
func (UnimplementedFastDealServiceServer) GetFastDealFile(context.Context, *order.GetFastDealFileRequest) (*order.GetFastDealFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetFastDealFile not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealFile(context.Context, *order.ListFastDealFileRequest) (*order.ListFastDealFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealFile not implemented")
}
func (UnimplementedFastDealServiceServer) AddFastDealFile(context.Context, *order.AddFastDealFileRequest) (*order.AddFastDealFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddFastDealFile not implemented")
}
func (UnimplementedFastDealServiceServer) DeleteFastDealFile(context.Context, *order.DeleteFastDealFileRequest) (*order.DeleteFastDealFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteFastDealFile not implemented")
}
func (UnimplementedFastDealServiceServer) mustEmbedUnimplementedFastDealServiceServer() {}

// UnsafeFastDealServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to FastDealServiceServer will
// result in compilation errors.
type UnsafeFastDealServiceServer interface {
	mustEmbedUnimplementedFastDealServiceServer()
}

func RegisterFastDealServiceServer(s grpc.ServiceRegistrar, srv FastDealServiceServer) {
	s.RegisterService(&FastDealService_ServiceDesc, srv)
}

func _FastDealService_ListFastDealProcess_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealProcessRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealProcess(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/ListFastDealProcess",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealProcess(ctx, req.(*order.ListFastDealProcessRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealProcessType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealProcessTypeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealProcessType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/ListFastDealProcessType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealProcessType(ctx, req.(*order.ListFastDealProcessTypeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealProductGroup_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealProductGroupRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealProductGroup(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/ListFastDealProductGroup",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealProductGroup(ctx, req.(*order.ListFastDealProductGroupRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealBrand_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealBrandRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealBrand(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/ListFastDealBrand",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealBrand(ctx, req.(*order.ListFastDealBrandRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealProduct_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealProductRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealProduct(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/ListFastDealProduct",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealProduct(ctx, req.(*order.ListFastDealProductRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealDeliveryCondition_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealDeliveryConditionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealDeliveryCondition(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/ListFastDealDeliveryCondition",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealDeliveryCondition(ctx, req.(*order.ListFastDealDeliveryConditionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealPaymentCondition_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealPaymentConditionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealPaymentCondition(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/ListFastDealPaymentCondition",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealPaymentCondition(ctx, req.(*order.ListFastDealPaymentConditionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealLogisticsOperator_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealLogisticsOperatorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealLogisticsOperator(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/ListFastDealLogisticsOperator",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealLogisticsOperator(ctx, req.(*order.ListFastDealLogisticsOperatorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealState_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealStateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealState(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/ListFastDealState",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealState(ctx, req.(*order.ListFastDealStateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealCity_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealCityRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealCity(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/ListFastDealCity",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealCity(ctx, req.(*order.ListFastDealCityRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealNames_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealNamesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealNames(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/ListFastDealNames",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealNames(ctx, req.(*order.ListFastDealNamesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_GetFastDeal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.GetFastDealRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).GetFastDeal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/GetFastDeal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).GetFastDeal(ctx, req.(*order.GetFastDealRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDeal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDeal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/ListFastDeal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDeal(ctx, req.(*order.ListFastDealRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealItemAgent_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealItemAgentRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealItemAgent(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/ListFastDealItemAgent",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealItemAgent(ctx, req.(*order.ListFastDealItemAgentRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_RejectFastDeal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.RejectFastDealRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).RejectFastDeal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/RejectFastDeal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).RejectFastDeal(ctx, req.(*order.RejectFastDealRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ApproveFastDeal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ApproveFastDealRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ApproveFastDeal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/ApproveFastDeal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ApproveFastDeal(ctx, req.(*order.ApproveFastDealRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_DoneFastDeal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.DoneFastDealRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).DoneFastDeal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/DoneFastDeal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).DoneFastDeal(ctx, req.(*order.DoneFastDealRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_UpdateStatusFastDealItem_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.UpdateFastDealItemStatusRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).UpdateStatusFastDealItem(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/UpdateStatusFastDealItem",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).UpdateStatusFastDealItem(ctx, req.(*order.UpdateFastDealItemStatusRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_GetFastDealFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.GetFastDealFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).GetFastDealFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/GetFastDealFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).GetFastDealFile(ctx, req.(*order.GetFastDealFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/ListFastDealFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealFile(ctx, req.(*order.ListFastDealFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_AddFastDealFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.AddFastDealFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).AddFastDealFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/AddFastDealFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).AddFastDealFile(ctx, req.(*order.AddFastDealFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_DeleteFastDealFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.DeleteFastDealFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).DeleteFastDealFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.FastDealService/DeleteFastDealFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).DeleteFastDealFile(ctx, req.(*order.DeleteFastDealFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// FastDealService_ServiceDesc is the grpc.ServiceDesc for FastDealService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var FastDealService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fcp.order.v1.order_web.FastDealService",
	HandlerType: (*FastDealServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "ListFastDealProcess",
			Handler:    _FastDealService_ListFastDealProcess_Handler,
		},
		{
			MethodName: "ListFastDealProcessType",
			Handler:    _FastDealService_ListFastDealProcessType_Handler,
		},
		{
			MethodName: "ListFastDealProductGroup",
			Handler:    _FastDealService_ListFastDealProductGroup_Handler,
		},
		{
			MethodName: "ListFastDealBrand",
			Handler:    _FastDealService_ListFastDealBrand_Handler,
		},
		{
			MethodName: "ListFastDealProduct",
			Handler:    _FastDealService_ListFastDealProduct_Handler,
		},
		{
			MethodName: "ListFastDealDeliveryCondition",
			Handler:    _FastDealService_ListFastDealDeliveryCondition_Handler,
		},
		{
			MethodName: "ListFastDealPaymentCondition",
			Handler:    _FastDealService_ListFastDealPaymentCondition_Handler,
		},
		{
			MethodName: "ListFastDealLogisticsOperator",
			Handler:    _FastDealService_ListFastDealLogisticsOperator_Handler,
		},
		{
			MethodName: "ListFastDealState",
			Handler:    _FastDealService_ListFastDealState_Handler,
		},
		{
			MethodName: "ListFastDealCity",
			Handler:    _FastDealService_ListFastDealCity_Handler,
		},
		{
			MethodName: "ListFastDealNames",
			Handler:    _FastDealService_ListFastDealNames_Handler,
		},
		{
			MethodName: "GetFastDeal",
			Handler:    _FastDealService_GetFastDeal_Handler,
		},
		{
			MethodName: "ListFastDeal",
			Handler:    _FastDealService_ListFastDeal_Handler,
		},
		{
			MethodName: "ListFastDealItemAgent",
			Handler:    _FastDealService_ListFastDealItemAgent_Handler,
		},
		{
			MethodName: "RejectFastDeal",
			Handler:    _FastDealService_RejectFastDeal_Handler,
		},
		{
			MethodName: "ApproveFastDeal",
			Handler:    _FastDealService_ApproveFastDeal_Handler,
		},
		{
			MethodName: "DoneFastDeal",
			Handler:    _FastDealService_DoneFastDeal_Handler,
		},
		{
			MethodName: "UpdateStatusFastDealItem",
			Handler:    _FastDealService_UpdateStatusFastDealItem_Handler,
		},
		{
			MethodName: "GetFastDealFile",
			Handler:    _FastDealService_GetFastDealFile_Handler,
		},
		{
			MethodName: "ListFastDealFile",
			Handler:    _FastDealService_ListFastDealFile_Handler,
		},
		{
			MethodName: "AddFastDealFile",
			Handler:    _FastDealService_AddFastDealFile_Handler,
		},
		{
			MethodName: "DeleteFastDealFile",
			Handler:    _FastDealService_DeleteFastDealFile_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/order_web/fast_deal_web.proto",
}
